Sauce-0.10.1 A C++ Dependency Injection Framework

- Main Page
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Friends | List of all members
sauce::internal::ResolvedTypeId< Type > Class Template Reference

The TypeId derived class that acknowledges the hidden type. More...

`#include <sauce/internal/type_id.h>`

Inheritance diagram for sauce::internal::ResolvedTypeId< Type >:

## Public Member Functions
void | throwOutOfScopeException () const
| Throw an OutOfScopeException appropriate for the hidden type, assuming it is a Scope.
Public Member Functions inherited from sauce::internal::TypeId
bool | operator== (TypeId const &id) const
bool | operator!= (TypeId const &id) const
bool | operator< (TypeId const &id) const

## Friends
TypeId | typeIdOf ()
| How one gets TypeIds.

## Additional Inherited Members
Protected Member Functions inherited from sauce::internal::TypeId
| TypeId (TypeSignature const &signature)

## Detailed Description

### template<typename Type>
class sauce::internal::ResolvedTypeId< Type >

The TypeId derived class that acknowledges the hidden type.

The documentation for this class was generated from the following file:

- sauce/internal/type_id.h